Subject: Re: [BUG] 'add -u' doesn't work from untracked subdir

From: Clemens Buchacher <[email-masked]>
Date: Sun, 6 Sep 2009 20:28:55 +0200

On Sat, Sep 05, 2009 at 01:23:50AM -0700, Junio C Hamano wrote:

>  #1 What are the commands that will be affected, other than "add -u" and
>     "grep"?  Are there others?

There are "ls-tree", "ls-files" and "clean". I can't find anything else.

>  #2 Do all the commands in the answer to #1 currently behave exactly the
>     same when run without any path parameter and when run with a single
>     '.'?

Yes. But "ls-tree" and "ls-files" do not accept superdirectories in their
path specs.

>  #3 Do all the commands that are already relative to the root currently
>     limit their action to the cwd when run with a single '.'?

I can't think of one that doesn't.

Clemens